Python
from everos_cloud import EverOS
client = EverOS()
agent = client.v1.memories.agent
response = agent.add(
user_id="<string>",
session_id="<string>",
messages=[
{
"role": "<string>",
"timestamp": "<integer>",
"content": "<string>"
}
]
)
print(response)curl --request POST \
--url 'https://api.evermind.ai/api/v1/memories/agent' \
--header 'Authorization: Bearer <api_key>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '<string>',
messages: [
{
timestamp: 123,
content: '<string>',
sender_id: '<string>',
tool_calls: [
{
id: '<string>',
function: {name: '<string>', arguments: '<string>'},
type: 'function'
}
],
tool_call_id: '<string>'
}
],
session_id: '<string>',
async_mode: true
})
};
fetch('https://api.evermind.ai/api/v1/memories/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"task_id": "",
"message_count": 0,
"status": "accumulated",
"message": "Messages accepted"
}
}{
"data": {
"task_id": "<string>",
"status": "queued",
"message_count": 0,
"message": "Message accepted and queued for processing"
}
}{
"code": "<string>",
"message": "<string>",
"timestamp": "<string>",
"path": "<string>",
"request_id": "unknown"
}{
"code": "InvalidParameter",
"message": "tool_call_id is required when role is tool",
"request_id": "unknown",
"timestamp": "2026-03-24T00:00:00+00:00",
"path": "/api/v1/memories/agent"
}{
"code": "<string>",
"message": "<string>",
"timestamp": "<string>",
"path": "<string>",
"request_id": "unknown"
}Memories
Add agent memories
Add messages and extract memory into memory space.
POST
/
api
/
v1
/
memories
/
agent
Python
from everos_cloud import EverOS
client = EverOS()
agent = client.v1.memories.agent
response = agent.add(
user_id="<string>",
session_id="<string>",
messages=[
{
"role": "<string>",
"timestamp": "<integer>",
"content": "<string>"
}
]
)
print(response)Authorizations
Bearer authentication header of the form Bearer 'api_key', obtain your API key from everos.evermind.ai.
Body
application/json
Owner user ID
Agent trajectory messages (1-500 items)
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Session identifier
Enable async processing. When true, returns 202 with task_id; when false, processes synchronously and returns 200.
Response
Messages accepted successfully (sync mode: async_mode=false)
Show child attributes
Show child attributes
Was this page helpful?
⌘I

